package com.mindfusion.tutorial3;

import java.io.IOException;
import java.io.InputStream;

import com.mindfusion.tutorial3.R;

import com.mindfusion.diagramming.Diagram;
import com.mindfusion.diagramming.DiagramView;

import com.mindfusion.drawing.Color;
import com.mindfusion.drawing.Pen;
import com.mindfusion.drawing.SolidBrush;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class MainActivity extends Activity
{
	private Diagram diagram;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Diagram.registerClass(OrgChartNode.class, "my:OrgChartNode", 1);
		
		DiagramView view  = (DiagramView)findViewById(R.id.diag_view);
		diagram = view.getDiagram();
		diagram.setBackBrush(new SolidBrush(Color.white));
		
		// create first OrgChartNode
		OrgChartNode node1 = new OrgChartNode(diagram, this);
		node1.setStroke(new Pen(0.5f, Color.RED));
		node1.setBounds(20, 10, 80, 40);
		node1.setTitle("CEO");
		node1.setFullName("John Smith");
		node1.setText("Our beloved leader.\n" +
		    "The CEO of this great corporation.");
		node1.setImage(loadImage("image1.png"));
		diagram.add(node1);

		// create second OrgChartNode
		OrgChartNode node2 = new OrgChartNode(diagram, this);
		node2.setBounds(60, 60, 80, 40);
		node2.setTitle("CIO");
		node2.setFullName("Bob Smith");
		node2.setText("The CIO of this great corporation.");
		node2.setImage(loadImage("image2.png"));
		diagram.add(node2);

		// create connector
		diagram.getFactory().createDiagramLink(node1, node2);
	}

	Bitmap loadImage(String fileName)
	{
		Bitmap image = null;
		try
		{
			InputStream istream = getAssets().open(fileName);
			image = BitmapFactory.decodeStream(istream);
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
		return image;
	}
}